Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkDataRangeElementHandler<D extends OWLlinkDataRange>

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<D>
              org.semanticweb.owlapi.owllink.parser.OWLlinkDataRangeElementHandler<D>

All Implemented Interfaces:
  OWLlinkElementHandler<D>

Direct Known Subclasses:
  OWLlinkDatatypeElementHandler, OWLlinkListElementHandler, OWLlinkOneOfElementHandler

    public abstract class OWLlinkDataRangeElementHandler<D extends OWLlinkDataRange>

extends AbstractOWLlinkElementHandler<D>

User: noppens Date: 21.10.2009 Time: 17:48:43 To change this template use File | Settings | File Templates.

Constructor Summary
`OWLlinkDataRangeElementHandler(OWLXMLParserHandler handler)`

Method Summary
`abstract D` | `getOWLLinkObject()`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, getRequest, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLlinkDataRangeElementHandler

    public OWLlinkDataRangeElementHandler(OWLXMLParserHandler handler)

Method Detail

### getOWLLinkObject

    public abstract D getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<D extends OWLlinkDataRange>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<D extends OWLlinkDataRange>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD